//
//  FuzzyMatcherTests.swift
//  TuskerTests
//
//  Created by Shadowfacts on 10/11/20.
//  Copyright © 2020 Shadowfacts. All rights reserved.
//

import XCTest
@testable import Tusker

class FuzzyMatcherTests: XCTestCase {

    func testExample() throws {
        XCTAssertEqual(FuzzyMatcher.match(pattern: "foo", str: "foo").score, 6)
        XCTAssertEqual(FuzzyMatcher.match(pattern: "foo", str: "faoao").score, 4)
        XCTAssertEqual(FuzzyMatcher.match(pattern: "foo", str: "aaa").score, -6)
        
        XCTAssertEqual(FuzzyMatcher.match(pattern: "bar", str: "baz").score, 2)
        XCTAssertEqual(FuzzyMatcher.match(pattern: "bar", str: "bur").score, 1)
        
        XCTAssertGreaterThan(FuzzyMatcher.match(pattern: "sir", str: "sir").score, FuzzyMatcher.match(pattern: "sir", str: "georgespolitzer").score)
    }

}
